#!/usr/bin/env ruby1.8
=begin
/*
 * Copyright 2012 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
=end

require '../run-tests.rb' unless $INIT_COMPLETED
require $actions_path + '/devices.rb'
require $actions_path + '/wizard.rb'
require $actions_path + '/controlpanel.rb'

# Test Suite
context "Devices tests" do

    # Run once at the beginning of this test suite
    startup do
        $SUT.execute_shell_command 'killall ubuntuone-control-panel-qt'
    end

    # Run once at the end of this test suite
    teardown do
        $SUT.execute_shell_command 'killall ubuntuone-control-panel-qt'
    end

    # Run before each test case begins
    setup do
        # Execute the application 
        @controlpanel = $SUT.run(:name=>'python',
                            :start_command=>'ubuntuone-control-panel-qt ' +
                                            '-testability')
        login
        wait_for_control_panel
    end

    # Run after each test case completes
    teardown do
        $SUT.execute_shell_command 'pkill -nf ubuntuone-control-panel-qt'
    end

    # Test cases

    test "Remove this device" do
        open_devices_tab
        remove_this_device
        verify_true(5) {
            is_wizard_visible?
        }
        verify_false {
            is_control_panel_visible?
        }
    end

end
