#!/usr/bin/env ruby1.8
=begin
/*
 * Copyright 2012 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
=end

require $actions_path + '/common.rb'
require $actions_path + '/controlpanel.rb'

def open_devices_tab
    click_devices_tab
    wait_for_information
    wait_for_devices_panel
end

def click_devices_tab
    # XXX do not use coordinates. How to click a tab?
    get_tab_bar.tap_object(150,20)
end

def wait_for_devices_panel
    verify_equal('true', 10, 'Devices panel not displayed') {
        @controlpanel.DevicesPanel(:name=>'devices_tab').attribute('visible')
    }
    verify_equal('true', 10, 'Devices panel not displayed') {
        get_remove_this_device_button.attribute('enabled')
    }
end

def remove_this_device(confirm=true)
    click_remove_this_device
    if confirm
        confirm_device_removal
    else
        cancel_device_removal
    end
end

def click_remove_this_device
    get_remove_this_device_button.tap
end

def get_remove_this_device_button
    return @controlpanel.DeviceWidget(:name=>'local_device'). \
        QPushButton(:name=>'remove_device_button')
end

def confirm_device_removal
     click_yes_on_dialog_button
end

def cancel_device_removal
    # TODO
    raise "Not implemented"
end
