#!/usr/bin/env ruby1.8
=begin
/*
 * Copyright 2012 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
=end

def disconnect
    if is_connected?
        click_sync_status_button
    end
end

def is_connected?
    return get_sync_status_button_text == 'Disconnect'
end

def get_sync_status_button_text
    return get_sync_status_button.attribute('text')
end

def get_sync_status_button
    return @controlpanel.QPushButton(:name=>'sync_status_button')
end

def click_sync_status_button
    get_sync_status_button.tap
end

def is_disconnected?
    return get_sync_status_button_text == 'Connect' &&
        get_sync_status_label_text == 'File Sync is disconnected.'
end

def get_sync_status_label_text
    return get_sync_status_label.attribute('text')
end

def get_sync_status_label
    return @controlpanel.QLabel(:name=>'sync_status_label')
end

def connect_and_wait_for_file_sync_update
    if is_disconnected?
        click_sync_status_button
    end
    wait_for_file_sync_update
end

def wait_for_file_sync_update
    # TODO define a timeout.
    verify_true(360, 'test connected') {
        is_connected? && is_file_sync_up_to_date?
    }
end

def is_file_sync_up_to_date?
    return get_sync_status_label_text == 'File Sync is up-to-date.'
end
