#!/usr/bin/env ruby1.8
=begin
/*
 * Copyright 2012 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
=end

require $actions_path + '/common.rb'

def is_wizard_visible?
    begin
        @controlpanel.wait_child({:type=>'UbuntuOneWizard', 
                                  :visible=>'true'}, 
                                 3)
        return true
    rescue MobyBase::SyncTimeoutError
        return false
    end
end

def login
    if is_wizard_visible?
        sign_me_in_with_my_existing_account
        sync_the_cloud_to_your_computer
        sync_your_computer_with_the_cloud
    end
end

def sign_me_in_with_my_existing_account
    verify_true {
        is_wizard_on_sign_in_page?
    }
    click_login_button
    # TODO SSO log in.
    puts 'Log in. You have 30 seconds.'
    verify_true(30) {
        is_wizard_on_the_sync_cloud_to_computer_page?
    }
end

def is_wizard_on_sign_in_page?
    return @controlpanel.SignInPanel.attribute('visible') == 'true'
end

def click_login_button
    get_login_button.tap
end

def get_login_button
    return @controlpanel.QPushButton(:name=>'login_button')
end

def sync_the_cloud_to_your_computer
    verify_true {
        is_wizard_on_the_sync_cloud_to_computer_page?
    }
    wait_for_information
    click_next_button
end

def is_wizard_on_the_sync_cloud_to_computer_page?
    return @controlpanel.CloudToComputerPage.attribute('visible') == 'true'
end

def click_next_button
    get_next_button.tap
end

def get_next_button
    return @controlpanel.QPushButton(:name=>'__qt__passive_wizardbutton1')
end

def sync_your_computer_with_the_cloud
    verify_true {
        is_wizard_on_the_sync_computer_to_cloud_page?
    }
    wait_for_information
    click_finish_button
end

def is_wizard_on_the_sync_computer_to_cloud_page?
    return @controlpanel.ComputerToCloudPage.attribute('visible') == 'true'
end

def click_finish_button
    get_finish_button.tap
end

def get_finish_button
    return @controlpanel.QPushButton(:text=>'&Finish')
end
