# -*- coding: utf-8 -*-

# Copyright 2011-2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Test case u1weba-001 Account details.
Verify the account information.

"""

from sst.actions import *
from actions import (
    account,
    setup,
)
from config import (
    schema,
    environment,
)

setup.setup()
account.open()
config_values = schema.glue.schema_parser.values('DefaultUser')
full_name = config_values.get('full_name')
email = config_values.get('email_address')
account.assert_account_details(full_name, email)
account.click_edit_account_details()
sso_url = environment.get_environment().sso_url
assert_url(sso_url)
