# -*- coding: utf-8 -*-

# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Test case u1webc-002 Edit Contact.
Edit a contact stored on Ubuntu One through the website. 

"""

import uuid
from sst.actions import *
import actions.setup as setup_actions
import actions.contacts as contacts_actions
from data.contact import Contact
from data.contact import Name
from data.contact import Email

setup_actions.setup()
contacts_actions.open()
contact_uuid = uuid.uuid1()
name = Name(first_name='Test first name %s' % contact_uuid, 
            last_name='Test last name %s' % contact_uuid)
email = Email('Other', 'test-%s@example.com' % contact_uuid)
contact = Contact(name, (email,))
contacts_actions.add_contact(contact)
contacts_actions.assert_contact_information(contact)
edited_name = Name(first_name='Edited ' + name.first_name,
                   last_name='Edited ' + name.last_name)
edited_email = Email(email.description, 'edited' + email.address)
edited_contact = Contact(edited_name, (edited_email,))
# This will also assert that the original email is not present in the list.
# If it were, test will fail because two elements with the same id were found.
contacts_actions.edit_contact(edited_contact)
contacts_actions.assert_contact_information(edited_contact)
