# -*- coding: utf-8 -*-

# Authors: 
#     Leo Arias <leo.arias@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Test case u1webf-002 Publish File.
Publish a file stored on the Ubuntu One service, through the website.

"""

from sst.actions import *
import actions.setup as setup_actions
import actions.files as files_actions
from os import path, remove
import tempfile
import uuid

setup_actions.setup()
files_actions.open()
file_uuid = str(uuid.uuid1())
file_contents = 'This is test file %s' % file_uuid
file_name = None
with tempfile.NamedTemporaryFile(mode='wr',
                                 prefix='File to publish ',
                                 suffix=file_uuid + '.txt',
                                 delete=False) as upload:
    upload.write(file_contents)
    upload.close()
    files_actions.upload_file(upload.name)
    file_name = path.basename(upload.name)
    remove(upload.name)
files_actions.publish_file(file_name)
files_actions.assert_file_published(file_name)
file_url = files_actions.go_to_public_url(file_name)
assert_text(get_element(tag='body'), file_contents)
