# -*- coding: utf-8 -*-

# Authors: 
#     Leo Arias <leo.arias@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Test case u1webf-004 Download File.
Download a file stored on the Ubuntu One cloud.

"""

from sst.actions import *
import actions.setup as setup_actions
import actions.files as files_actions
from os import path, remove
import tempfile
import uuid
import urlparse

setup_actions.setup()
files_actions.open()
file_uuid = str(uuid.uuid1())
file_contents = 'This is test file %s' % file_uuid
file_name = None
with tempfile.NamedTemporaryFile(mode='wr',
                                 prefix='File to download ',
                                 suffix=file_uuid + '.txt',
                                 delete=False) as upload:
    upload.write(file_contents)
    upload.close()
    files_actions.upload_file(upload.name)
    file_name = path.basename(upload.name)
    remove(upload.name)
file_url = files_actions.get_download_url(file_name)
# TODO verify the downloaded file.
skip('Selenium has no way to download the file. The file has to be ' \
     'downloaded with something like urllib, but then we required to do ' \
     'the authentication again. An alternative would be to use a Firefox ' \
     'profile with autosave to a predefined location, but SST has no easy ' \
     'way to set a profile, and that will only work for Firefox')
