# -*- coding: utf-8 -*-

# Authors: 
#     Leo Arias <leo.arias@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Test case u1webf-006 Create New Folder.
Create a new folder on the Ubuntu One storage service, through the website.

"""

from sst.actions import *
import actions.setup as setup_actions
import actions.files as files_actions
import uuid

setup_actions.setup()
files_actions.open()
folder_uuid = str(uuid.uuid1())
folder_name = 'New folder %s' % folder_uuid
files_actions.create_new_folder(folder_name)
files_actions.assert_file_exists(folder_name)
assert files_actions.get_file_size(folder_name) == ' '
assert files_actions.get_file_upload_date(folder_name) == 'Just now'
files_actions.assert_folder_information_is_shown(folder_name)
files_actions.open_folder(folder_name)
files_actions.assert_breadcrumb(folder_name)
# TODO should it show the gallery link?
