# -*- coding: utf-8 -*-

# Authors: 
#     Leo Arias <leo.arias@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Test case u1webf-009 Delete Folder.
Delete a folder stored on the Ubuntu One storage service, through the web site.

"""

from sst.actions import *
import actions.setup as setup_actions
import actions.files as files_actions
import uuid

setup_actions.setup()
files_actions.open()
folder_uuid = str(uuid.uuid1())
folder_name = 'Folder to delete %s' % folder_uuid
files_actions.create_new_folder(folder_name)
files_actions.assert_file_exists(folder_name)
files_actions.delete_file(folder_name)
fails(files_actions.assert_file_exists, folder_name)
