# -*- coding: utf-8 -*-

# Authors: 
#     Leo Arias <leo.arias@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Test case u1webf-010 Folder navigation.
Navigate the folder hierarchy on the Ubuntu One storage service, through the 
web site.

"""

from sst.actions import *
import actions.setup as setup_actions
import actions.files as files_actions
from random import random
from datetime import date

setup_actions.setup()
files_actions.open()
parent_folder_name = 'Navigation Parent Folder %f' % random()
files_actions.create_new_folder(parent_folder_name)
files_actions.open_folder(parent_folder_name)
child_folder_name = 'Navigation Child folder %f' % random()
files_actions.create_new_folder(child_folder_name)
sibling_folder_name = 'Navigation Sibling folder %f' % random()
files_actions.create_new_folder(sibling_folder_name)
files_actions.open_folder(child_folder_name)
grandchild_folder_name = 'Navigation Grandchild folder %f' %random()
files_actions.create_new_folder(grandchild_folder_name)
files_actions.open_folder(grandchild_folder_name)
files_actions.assert_breadcrumb(parent_folder_name, child_folder_name, 
                                grandchild_folder_name)
files_actions.go_to_breadcrumb(parent_folder_name, child_folder_name)
files_actions.assert_breadcrumb(parent_folder_name, child_folder_name)
files_actions.go_to_breadcrumb(parent_folder_name)
files_actions.assert_breadcrumb(parent_folder_name)
files_actions.open_folder(sibling_folder_name)
files_actions.assert_breadcrumb(parent_folder_name, sibling_folder_name)
files_actions.go_to_breadcrumb()
files_actions.assert_breadcrumb()
