# -*- coding: utf-8 -*-

# Authors: 
#     Rick McBride <rick.mcbride@canonical.com>
#     Leo Arias <leo.arias@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Pay for the music streaming service."""

from sst.actions import *
from config import environment
from datetime import date
import actions.setup as setup_actions
import actions.services as services_actions
import actions.payment as payment_actions
import actions.payment_confirmed as payment_confirmed_actions

skip('This test must be updated for Ubuntu Pay.')
if not environment.can_make_payments():
    skip('Can\'t test payments on this environment.')
setup_actions.setup(new_user=True)
services_actions.open()
services_actions.buy_music_streaming_yearly()
payment_actions.assert_page_title()
payment_actions.place_order_with_valid_card()
payment_actions.confirm_payment_details()
payment_confirmed_actions.assert_processed_payment('annually', 1, 39.99,
                                                   trial=True)
payment_confirmed_actions.view_account()
# TODO move this to the account actions module.
get_element(tag='span', text='29 trial days left')
get_element(tag='p', text='You are subscribed yearly')
get_element(tag='span', text='See my subscription')
get_element(tag='span', text='20GB with Music Streaming')
