# -*- coding: utf-8 -*-

# Authors: 
#     Rick McBride <rick.mcbride@canonical.com>
#     Leo Arias <leo.arias@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Pay for a service with a refused card."""

from sst.actions import *
from config import environment
import actions.setup as setup_actions
import actions.services as services_actions
import actions.payment as payment_actions
import actions.payment_confirmed as payment_confirmed_actions

skip('This test must be updated for Ubuntu Pay.')
if not environment.can_make_payments():
    skip('Can\'t test payments on this environment.')
setup_actions.setup()
services_actions.open()
services_actions.buy_music_streaming()
payment_actions.assert_page_title()
payment_actions.place_order_with_refused_card()
payment_actions.confirm_payment_details()
payment_confirmed_actions.assert_page_title()
payment_confirmed_actions.assert_failed_payment()
