# -*- coding: utf-8 -*-

# Copyright 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

from sst.actions import *
from os import path, remove
import actions.setup as setup_actions
import actions.files as files_actions
import actions.photos as photos_actions
from utils.randomphotos import make_random_photo_and_return_path 

setup_actions.setup(new_user=False)
random_photo_path = make_random_photo_and_return_path()
files_actions.open()
files_actions.upload_file(random_photo_path)
remove(random_photo_path)
random_photo_name = path.basename(random_photo_path)
# XXX refresh because there is a bug in edge server.
# See https://bugs.launchpad.net/ubuntuone-servers/+bug/1007147
refresh()
files_actions.assert_file_exists(random_photo_name)
photos_actions.open()
photos_actions.assert_photo_is_present_in_list(random_photo_name)
