# -*- coding: utf-8 -*-

# Copyright 2011, 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Increase and decrease the amount of storage to buy."""

from sst.actions import *
import actions.setup as setup_actions
import actions.services as services_actions

setup_actions.setup()
services_actions.open()
services_actions.click_add_extra_storage()
services_actions.assert_storage(1)
services_actions.increase_storage_quantity()
services_actions.assert_storage(2)
services_actions.decrease_storage_quantity()
for quantity in range(2, 11):
    services_actions.increase_storage_quantity()
    services_actions.assert_storage(quantity)
for quantity in range(9, 4, -1):
    services_actions.decrease_storage_quantity()
    services_actions.assert_storage(quantity)
services_actions.set_storage_quantity('25')
# Move the focus out of the textfield.
click_element('storage-gb')
sleep(1)
services_actions.assert_storage(25)
