# -*- coding: utf-8 -*-

# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Actions for the Account page of the Ubuntu One website."""

from sst.actions import *
import actions.header as header_actions


def open():
    header_actions.open_my_account()
    assert_page_title(), 'My account should be opened'


def assert_page_title():
    assert_title(u'Ubuntu One : Your Account')


def assert_account_details(full_name, email):
    _assert_name(full_name)
    _assert_email(email)
    _assert_password('********')


def _assert_name(full_name):
    name_element = _get_user_details_data_elements()[0]
    assert_text(name_element, full_name)


def _assert_email(email):
    email_element = _get_user_details_data_elements()[1]
    assert_text(email_element, email)


def _assert_password(password):
    password_element = _get_user_details_data_elements()[2]
    assert_text(password_element, password)


def _get_user_details_data_elements():
    return get_elements_by_css('.user-details dd')


def click_edit_account_details():
    click_link(get_element(text='Edit your account details in Ubuntu Single '
                                'Sign On'))
