# -*- coding: utf-8 -*-

# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Actions for the Header of the Ubuntu One website."""

from sst.actions import *

def click_login_or_sign_up():
    click_link(_get_login_or_sign_up_link())

def _get_login_or_sign_up_link():
    return get_element(text='Log in or Sign up')

def is_logged_in():
    return exists_element(tag='a', text='logout')

def assert_login(full_name):
    _assert_full_name(full_name)
    _get_my_account_link()
    _get_logout_link()

def _assert_full_name(full_name):
    wait_for(exists_element, id='ac-status')
    welcome_element = get_element_by_css('#ac-status > span')
    assert_text(welcome_element, 'Welcome %s' % full_name[:40])

def _get_my_account_link():
    return get_element(tag='a', css_class='account', text='My Account')

def _get_logout_link():
    return get_element(tag='a', text='logout')

def open_my_account():
    click_link(_get_my_account_link())

def logout():
    click_link(_get_logout_link())

def assert_logout():
    _get_login_or_sign_up_link()
