# -*- coding: utf-8 -*-

# Copyright 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

from sst.actions import *

from config import environment


def assert_page():
    assert_page_url()
    assert_page_title()
    assert_page_heading1()
    

def assert_page_url():
    if environment.is_staging_environment():
        assert_url('https://staging.one.ubuntu.com/')
    elif environment.is_edge_environment():
        assert_url('https://edge.one.ubuntu.com/')
    elif environment.is_production_environment():
        assert_url('https://one.ubuntu.com/')
    else:
        assert_url(environment.get_environment().url)


def assert_page_title():
    assert_title(u'Ubuntu One : Home')


def assert_page_heading1():
    heading1_element = get_element_by_css('h1')
    assert_text(heading1_element, 'Ubuntu One')
