# -*- coding: utf-8 -*-

# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Actions to wait for data loading to complete."""

from sst.actions import *

def wait_for_action_to_complete():
    """Wait for the last action to complete.

    This function waits for the waiting bar to disappear.
    
    """
    # Added a little sleep because if this function is called to fast before
    # the bar appears tests will fail.
    sleep(3)
    waiting_bar = get_element(css_class='yui3-busy-waiting')
    wait_for(fails, assert_displayed, waiting_bar)

