# -*- coding: utf-8 -*-

# Copyright 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

from sst.actions import *

def click_privacy_policy_footer_link():
    click_link(_get_privacy_policy_footer_link())


def _get_privacy_policy_footer_link():
    return get_element_by_css('.copyright-privacy a[href="/privacy/"]')


def click_privacy_policy_second_bottom_menu_link():
    click_link(_get_privacy_policy_second_bottom_menu_link())


def _get_privacy_policy_second_bottom_menu_link():
    return get_element_by_css('.sec h3 a[href="/privacy/"]')


def assert_page():
    assert_page_url()
    assert_page_title()
    assert_page_heading1()


def assert_page_url():
    base_url = get_base_url()
    assert_url(base_url + 'privacy/')


def assert_page_title():
    assert_title(u'Ubuntu One : Privacy Policy')


def assert_page_heading1():
    # XXX: There are many h1 elements on the page.
    # See https://bugs.launchpad.net/ubuntuone-servers/+bug/1037584
    heading1_element = get_element_by_css('header>h1')
    assert_text(heading1_element, 'Canonical Privacy Policy')
