# -*- coding: utf-8 -*-

# Copyright 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

from config import schema
from data.environment import Environment

environment_data = None

def get_environment():
    global environment_data
    if not environment_data:
        config_values = schema.glue.schema_parser.values('Server')
        name = config_values.get('environment')
        url = config_values.get('url')
        sso_url = config_values.get('sso_url')
        files_url = config_values.get('files_url')
        environment_data = Environment(name, url, sso_url, files_url)
    return environment_data


def is_staging_environment():
    return get_environment().name == 'staging'


def is_edge_environment():
    return get_environment().name == 'edge'


def is_development_environment():
    return get_environment().name == 'development'


def is_production_environment():
    return get_environment().name == 'production'


def can_create_new_users():
    return is_staging_environment()


def can_make_payments():
    return is_staging_environment()


