# -*- coding: utf-8 -*-

# Copyright 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

from configglue import schema
from configglue.glue import configglue
import sys
import os.path

class SstSchema(schema.Schema):

    default_timeout = schema.IntOption(default=40)

    class Server(schema.Section):
        environment = schema.StringOption(default='staging')
        url = schema.StringOption(default=None)
        sso_url = schema.StringOption(default=None)
        files_url = schema.StringOption(default=None)


    class DefaultUser(schema.Section):
        full_name = schema.StringOption()
        email_address = schema.StringOption()
        password = schema.StringOption()


    class NewUser(schema.Section):
        full_name_pattern = schema.StringOption(default='Test user %s',
            raw=True)
        email_address_pattern = schema.StringOption(raw=True)
        password = schema.StringOption(default='Hola123*')
        imap_server = schema.StringOption()
        imap_port = schema.IntOption(default=993)
        imap_use_ssl = schema.BoolOption(default=True)
        imap_username = schema.StringOption()
        imap_password = schema.StringOption()


    class MusicUser(schema.Section):
        full_name = schema.StringOption()
        email_address = schema.StringOption()
        password = schema.StringOption()

# XXX The command line arguments are for SST, not for u1 tests.
# We will do something to SST on the future so it uses configglue, 
# or makes available all the additional arguments.
sys.argv = []
current_dir = os.path.dirname(os.path.abspath(__file__))
glue = configglue(SstSchema, os.path.join(current_dir, 'local.cfg'))
