# -*- coding: utf-8 -*-

# Copyright 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

base_urls = {'staging': 'https://staging.one.ubuntu.com/',
             'edge': 'https://edge.one.ubuntu.com/',
             'production': 'https://one.ubuntu.com/'}
sso_urls = {'staging': 'https://login.staging.ubuntu.com/',
            'edge': 'https://login.ubuntu.com/',
            'production': 'https://login.ubuntu.com/'}
files_urls = {'staging': 'https://files.staging.one.ubuntu.com/',
              'edge': 'https://files.one.ubuntu.com/',
              'production': 'https://files.one.ubuntu.com/'}

class Environment:

    def __init__(self, name, url, sso_url, files_url):
        self.name = name
        if url:
            self.url = url
        else:
            self.url = base_urls[name]
        if sso_url:
            self.sso_url = sso_url
        else:
            self.sso_url = sso_urls[name]
        if files_url:
            self.files_url = files_url
        else:
            self.files_url = files_urls[name]
      
    
