# -*- coding: utf-8 -*-

# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Utilities to help the calculation of payment periods."""

from datetime import datetime, timedelta

def get_monthly_expiration_date():
    today = _get_today()
    next_month = None
    if today.month != 12:
        next_month = today.replace(month=today.month + 1)
    else:
        next_month = today.replace(month=1, year=today.year + 1)
    return next_month + timedelta(days=1)
    
def get_yearly_expiration_date():
    today = _get_today()
    expiration_date = today.replace(year = today.year + 1)
    return expiration_date

def get_trial_expiration_date():
    today = _get_today()
    return today + timedelta(days=30)

def _get_today():
    return datetime.utcnow()
